Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapFullException Class
Members See Also Send Feedback

An attempt was made to add or update a record in a HeapDatabase. However, the size of the database was constrained using MaxSize(UInt32, UInt32), and that limit has been reached.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public class HeapFullException : DatabaseException

Visual Basic (Declaration)
    Public Class HeapFullException _
    	Inherits DatabaseException

Visual C++
    public ref class HeapFullException : public DatabaseException

# Inheritance Hierarchy

System..::.Object
System..::.Exception
BerkeleyDB..::.DatabaseException
BerkeleyDB..::.HeapFullException

# See Also

HeapFullException Members
BerkeleyDB Namespace